%bcond_with bootstrap

Name:           apache-commons-jxpath
Version:        1.3
Release:        %mkrel 37
Group:          Development/Java
Summary:        Simple XPath interpreter
License:        ASL 2.0
URL:            https://commons.apache.org/jxpath/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://www.apache.org/dist/commons/jxpath/source/commons-jxpath-%{version}-src.tar.gz

Patch0:         commons-jxpath-mockrunner.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(commons-beanutils:commons-beanutils)
BuildRequires:  mvn(jdom:jdom)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
%endif

%description
Defines a simple interpreter of an expression language called XPath.
JXPath applies XPath expressions to graphs of objects of all kinds:
JavaBeans, Maps, Servlet contexts, DOM etc, including mixtures thereof.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n commons-jxpath-%{version}-src
%patch -P 0 -p1

%pom_remove_dep xerces:
%pom_remove_dep xml-apis:

# Remove dependency on glassfish
%pom_remove_dep :servlet-api
%pom_remove_dep :jsp-api
rm src/java/org/apache/commons/jxpath/servlet/*Context*.java
rm src/java/org/apache/commons/jxpath/servlet/*Handler.java
rm src/test/org/apache/commons/jxpath/servlet/JXPathServletContextTest.java

%mvn_file ":{*}" %{name} @1
%mvn_alias : org.apache.commons:

%pom_xpath_inject 'pom:properties' \
  '<commons.osgi.import>org.apache.commons.beanutils;resolution:="optional",org.jdom*;resolution:="optional",org.w3c.dom;resolution:="optional",javax.servlet*;resolution:="optional",*</commons.osgi.import>'

%build
# we are skipping tests because we don't have com.mockrunner in repos yet
%mvn_build -f -- -Dcommons.packageId=jxpath

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt



%changelog
* Sat Dec 21 2024 pterjan <pterjan> 1.3-37.mga10
+ Revision: 2127116
- Rebuild for patchN deprecation

* Tue May 21 2024 ns80 <ns80> 1.3-36.mga10
+ Revision: 2065578
+ rebuild (emptylog)

* Mon Jul 25 2022 neoclust <neoclust> 1.3-36.mga9
+ Revision: 1871003
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 1.3-35.mga9
+ Revision: 1870182
- Fix BR for bootstrap

* Tue Jun 07 2022 neoclust <neoclust> 1.3-34.mga9
+ Revision: 1863255
- Add bootstrap mode
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Aug 24 2020 neoclust <neoclust> 1.3-32.mga8
+ Revision: 1618345
- Rebuild against java11

* Sat Feb 15 2020 umeabot <umeabot> 1.3-31.mga8
+ Revision: 1527529
- Mageia 8 Mass Rebuild

* Thu Jul 18 2019 daviddavid <daviddavid> 1.3-30.mga8
+ Revision: 1422295
- Rebuild to fix OSGi metadata
+ guillomovitch <guillomovitch>
- sync properties with fedora
- disable strict documentation linting

* Thu Sep 20 2018 umeabot <umeabot> 1.3-28.mga7
+ Revision: 1277586
- Mageia 7 Mass Rebuild

* Thu May 18 2017 neoclust <neoclust> 1.3-27.mga6
+ Revision: 1102978
- Rebuild against fixed apache-parents

* Wed Mar 02 2016 neoclust <neoclust> 1.3-26.mga6
+ Revision: 981892
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.3-25.mga6
+ Revision: 975455
- First rebuild of the java stack
- sync package apache-commons-jxpath with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-14.mga5
+ Revision: 743187
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 1.3-11.mga4
+ Revision: 489391
- Rebuild against new javapackages

* Sun Sep 15 2013 dmorgan <dmorgan> 1.3-10.mga4
+ Revision: 479834
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 1.3-9.mga3
+ Revision: 345764
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 1.3-8.mga3
+ Revision: 326665
- Build with maven 3

* Wed Apr 27 2011 dmorgan <dmorgan> 1.3-7.mga1
+ Revision: 92238
- Rebuild after bootstrapping
- imported package apache-commons-jxpath

